cubenetic(6)

NAME
cubenetic - cubist 3D undulating blob.

SYNOPSIS
cubenetic [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-count number] [-no-wander] [-no-spin] [-spin [XYZ]] [-wireframe] [-no-texture] [-wave-speed number] [-wave-radius number] [-waves number] [-fps]

DESCRIPTION
Draws a pulsating set of overlapping boxes with ever-chaning blobby patterns undulating across their surfaces.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-count number
    How many boxes make up the object. Default: 5.

-wander | -no-wander
    Whether the object should wander around the screen.

-spin [XYZ]
    Around which axes should the object spin?

-no-spin
    Don't spin.

-wireframe
    Render in wireframe instead of solid.

-texture | -no-texture
    Display Solid Colors.

-wave-speed number
    Surface Pattern Speed.    5 - 150.  Default: 80.

-wave-radius number
    Surface Pattern Overlap. 5 - 600. Default: 512.

-waves number
    Surface Pattern Complexity. 1 - 20. Default: 3.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.